Subject: bug#33062: grep matches too lazily when invoked with -zoP and matching backreference followed by newline

From: Bernhard Voelker <[email-masked]>
Date: Sun, 28 Oct 2018 11:31:26 +0100

On 10/28/18 8:32 AM, Johannes Riecken wrote:
>> On Wed, Oct 24, 2018 at 1:17 AM Bernhard Voelker <[email-masked] <mailto:[email-masked]>> wrote:
>> reassign 33062 grep
>> stop
>>> On 10/16/18 2:55 PM, Johannes Riecken wrote:
>>> Dear maintainers:
>>>
>>> *Bug summary: *GNU grep 3.0-2 matches too lazily when invoked with -zoP and
>>> matching backreference followed by newline
>>>
>>> *Steps to reproduce:*
>>>
>>> Create file cases:
>>>
>>> foo
>>> bar
>>>   cases:
>>>     1: foo
>>>     2: bar
>>> baz
>>>   cases:
>>>     3: baz
>>> quux
>>>
>>> And run grep -zoP '(\s*)cases:\n(\1.*\n)*' cases
>>>
>>> *Expected output:*
>>>
>>>   cases:
>>>     1: foo
>>>     2: bar
>>>   cases:
>>>     3: baz
>>>
>>> * Actual output:*
>>>
>>>   cases:
>>>
>>>   cases:
>>>
>>> Best regards,
>>>
>>> Johannes Riecken
>>
>> Thanks for the report, however, you reached the GNU coreutils mailing list,
>> while your report is for 'grep'.
>>
>> I'm therefore reassigning this issue to the GNU 'grep' package.
>
> Thank you, could you please tell me where I can check the progress of my bug report after the reassignment? I didn't see
> it in the archives of the bug-grep mailing list.
> 
> Best wishes,
> Johannes

Well, it's still in the same GNU bug tracker:
  https://bugs.gnu.org/33062
but it seems that the bug wasn't forwarded automatically to the
bug-grep mailing list, thus adding that list explicitly ... hoping that
this doesn't open another bug.

Have a nice day,
Berny